# Constant Field Values

## Contents

- com.microsoft.*
- microsoft.sql.*

## com.microsoft.*

com.microsoft.sqlserver.jdbc.ISQLServerConnection
Modifier and Type
Constant Field
Value
`public static final int`
`TRANSACTION_SNAPSHOT`
`4096`
com.microsoft.sqlserver.jdbc.ISQLServerResultSet
Modifier and Type
Constant Field
Value
`public static final int`
`CONCUR_SS_OPTIMISTIC_CC`
`1008`
`public static final int`
`CONCUR_SS_OPTIMISTIC_CCVAL`
`1010`
`public static final int`
`CONCUR_SS_SCROLL_LOCKS`
`1009`
`public static final int`
`TYPE_SS_DIRECT_FORWARD_ONLY`
`2003`
`public static final int`
`TYPE_SS_SCROLL_DYNAMIC`
`1006`
`public static final int`
`TYPE_SS_SCROLL_KEYSET`
`1005`
`public static final int`
`TYPE_SS_SCROLL_STATIC`
`1004`
`public static final int`
`TYPE_SS_SERVER_CURSOR_FORWARD_ONLY`
`2004`
com.microsoft.sqlserver.jdbc.SQLServerXAResource
Modifier and Type
Constant Field
Value
`public static final int`
`SSTRANSTIGHTLYCPLD`
`32768`
com.microsoft.sqlserver.jdbc.StringUtils
Modifier and Type
Constant Field
Value
`public static final String`
`EMPTY`
`""`
`public static final String`
`SPACE`
`" "`

## microsoft.sql.*

microsoft.sql.Types
Modifier and Type
Constant Field
Value
`public static final int`
`DATETIME`
`-151`
`public static final int`
`DATETIMEOFFSET`
`-155`
`public static final int`
`GEOGRAPHY`
`-158`
`public static final int`
`GEOMETRY`
`-157`
`public static final int`
`GUID`
`-145`
`public static final int`
`MONEY`
`-148`
`public static final int`
`SMALLDATETIME`
`-150`
`public static final int`
`SMALLMONEY`
`-146`
`public static final int`
`SQL_VARIANT`
`-156`
`public static final int`
`STRUCTURED`
`-153`